Subject: Re: If not CONFIG_ALL_PPC, you're broken

From: Dan Malek <[email-masked]>
Date: Tue, 17 Oct 2000 11:28:49 -0400

Matt Porter wrote:

> My solution for creating a slim embedded PPC kernel in 2.2 was to
> stub out all the calls to Mac/CHRP specific routines that were made
> in head.S and setup.c.

I think that is fine, but we have lost the configuration options that
indicate this should happen.  I first want to get a set of options
that makes sense, rework the code so we can selectively build the
kernels again (with CONFIG_ALL_PPC a sum of the options), and be able
to select processor core/processor type separately (i.e. I need to
select CONFIG_6xx and CONFIG_8260 at the same time...there are more
of these coming from both Mot and IBM).

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/